PIDOF(1)

NOME
pidof -- localiza o ID do processo de uma programa em execução.

SINOPSE
pidof [-s] [-c] [-x] [-o omitpid[,omitpid..]] [-o omitpid[,omitpid..]..] [-S separator] program [program..]

DESCRIÇÃO
Pidof localiza os IDs de processo (pids) dos programas definidos. Ele emite aqueles IDs na saída padrão (stdout).

OPÇÕES

-s  Single shot - isso instrui o programa a só retornar um pid.

-c  Retorna apenas IDs de processo que estão em execução com o mesmo diretório raiz. Essa opção é ignorada para usuários não-root, pois eles não poderão verificar o diretório raiz atual dos processos que não pertencerem a eles.

-x  Scripts também - isso faz com que o programa também retorne IDs de processo de shells executando os referidos scripts.

-o pid
    Fala para o pidof para omitir processos com aquele ID de processo. O pid especial %PPID pode ser usado para nomear o processo pai do programa pidof, isto é, o shell que chamou ou script do shell.

-S separator
    Use separator as a separator put between pids. Used only when more than one pids are printed for the program.

STATUS DE SAÍDA

0   Ao menos um programa foi localizado com o nome requisitado.

1   Nenhum programa foi localizado com o nome requisitado.

ERROS
When using the -x option, pidof only has a simple method for detecting scripts and will miss scripts that, for example, use env. This limitation is due to how the scripts look in the proc filesystem.

VEJA TAMBÉM
pgrep(1), pkill(1)

AUTOR
Jaromir Capik <jcapik@redhat.com>